- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Variables
WP42FileStructure.h File Reference

Go to the source code of this file.

## Macros
#define | WP42_ATTRIBUTE_BOLD 0
#define | WP42_ATTRIBUTE_ITALICS 1
#define | WP42_ATTRIBUTE_UNDERLINE 2
#define | WP42_ATTRIBUTE_STRIKE_OUT 3
#define | WP42_ATTRIBUTE_SHADOW 4
#define | WP42_ATTRIBUTE_REDLINE 5
#define | WP42_MARGIN_RESET_GROUP 0xC0
#define | WP42_SUPPRESS_PAGE_CHARACTERISTICS_GROUP 0xCF
#define | WP42_HEADER_FOOTER_GROUP 0xD1
#define | WP42_HEADER_FOOTER_GROUP_ALL_BIT 1
#define | WP42_HEADER_FOOTER_GROUP_ODD_BIT 2
#define | WP42_HEADER_FOOTER_GROUP_EVEN_BIT 4
#define | WP42_DEFINE_COLUMNS_OLD_GROUP 0xDD
#define | WP42_EXTENDED_CHARACTER_GROUP 0xE1
#define | WP42_DEFINE_COLUMNS_NEW_GROUP 0xF3

## Variables
int | WP42_FUNCTION_GROUP_SIZE [63]

## Macro Definition Documentation

#define WP42_ATTRIBUTE_BOLD 0

Referenced by WP42ContentListener::attributeChange(), and WP42Parser::parseDocument().

#define WP42_ATTRIBUTE_ITALICS 1

Referenced by WP42ContentListener::attributeChange(), and WP42Parser::parseDocument().

#define WP42_ATTRIBUTE_REDLINE 5

Referenced by WP42ContentListener::attributeChange(), and WP42Parser::parseDocument().

#define WP42_ATTRIBUTE_SHADOW 4

Referenced by WP42ContentListener::attributeChange(), and WP42Parser::parseDocument().

#define WP42_ATTRIBUTE_STRIKE_OUT 3

Referenced by WP42ContentListener::attributeChange(), and WP42Parser::parseDocument().

#define WP42_ATTRIBUTE_UNDERLINE 2

Referenced by WP42ContentListener::attributeChange(), and WP42Parser::parseDocument().

#define WP42_DEFINE_COLUMNS_NEW_GROUP 0xF3

Referenced by WP42DefineColumnsGroup::_readContents(), and WP42MultiByteFunctionGroup::constructMultiByteFunctionGroup().

#define WP42_DEFINE_COLUMNS_OLD_GROUP 0xDD

Referenced by WP42DefineColumnsGroup::_readContents(), and WP42MultiByteFunctionGroup::constructMultiByteFunctionGroup().

#define WP42_EXTENDED_CHARACTER_GROUP 0xE1

Referenced by WP42MultiByteFunctionGroup::constructMultiByteFunctionGroup().

#define WP42_HEADER_FOOTER_GROUP 0xD1

Referenced by WP42MultiByteFunctionGroup::constructMultiByteFunctionGroup().

#define WP42_HEADER_FOOTER_GROUP_ALL_BIT 1

Referenced by WP42StylesListener::headerFooterGroup().

#define WP42_HEADER_FOOTER_GROUP_EVEN_BIT 4

Referenced by WP42StylesListener::headerFooterGroup().

#define WP42_HEADER_FOOTER_GROUP_ODD_BIT 2

Referenced by WP42StylesListener::headerFooterGroup().

#define WP42_MARGIN_RESET_GROUP 0xC0

Referenced by WP42MultiByteFunctionGroup::constructMultiByteFunctionGroup().

#define WP42_SUPPRESS_PAGE_CHARACTERISTICS_GROUP 0xCF

Referenced by WP42MultiByteFunctionGroup::constructMultiByteFunctionGroup().

## Variable Documentation

int WP42_FUNCTION_GROUP_SIZE[63]

Referenced by WP42Heuristics::isWP42FileFormat().